#
# spec file for package python-web.py
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-web.py
Version:        0.39
Release:        lp151.1.1
Url:            http://webpy.org/
Summary:        web.py: makes web apps
License:        SUSE-Public-Domain and BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/w/web.py/web.py-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Think about the ideal way to write a web app. Write the code to make it happen.

%prep
%setup -q -n web.py-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Mar 18 2019 Michael Ströder <michael@stroeder.com>
- Updated to 0.39
  * Fixed a security issue with the form module
  * Fixed a security issue with the db module
* Mon Jan 23 2017 dmueller@suse.com
- fix source url
* Wed Nov 30 2016 michael@stroeder.com
- Updated to 0.38
  * Fixed failing tests in test/session.py when postgres is not installed. (tx Michael Diamond)
  * Fixed an error with Python 2.3 (tx Michael Diamond)
  * web.database now accepts a URL, $DATABASE_URL (fixes #171) (tx Aaron Swartz, we miss you)
  * support port use 'port' as keyword for postgres database with used eith pgdb (tx Sandesh Singh)
  * Fixes to FirebirdDB database (tx Ben Hanna)
  * Added a gaerun method to start application for google app engine (tx Matt Habel)
  * Better error message from `db.multiple_insert` when not all rows have the same keys (tx Ben Hoyt)
  * Allow custom messages for most errors (tx Shaun Sharples)
  * IPv6 support (tx Matthew of Boswell and zamabe)
  * Fixed sending email using Amazon SES (tx asldevi)
  * Fixed handling of long numbers in sqlify. closes #213. (tx cjrolo)
  * Escape HTML characters when emitting API docs. (tx Jeff Zellman)
  * Fixed an inconsistency in form.Dropdown when numbers are used for args and value. (tx Noprianto)
  * Fixed a potential remote exeution risk in `reparam` (tx Adrián Brav)
  * The where clause in db queries can be a dict now
  * Added `first` method to iterbetter
  * Fix to unexpected session when used with MySQL (tx suhashpatil)
  * Change dburl2dict to use urlparse and to support the simple case of just a database name. (tx Jeff Zellman)
  * Support '204 No Content' status code (tx Matteo Landi)
  * Support `451 Unavailable For Legal Reasons` status code(tx Yannik Robin Kettenbach)
  * Updates to documentation (tx goodrone, asldevi)
* Fri Jun 29 2012 cfarrell@suse.com
- Updated to 0.37
  * Fixed datestr issue on Windows -- #155
  * Fixed Python 2.4 compatability issues (tx fredludlow)
  * Fixed error in utils.safewrite (tx shuge) -- #95
  * Allow use of web.data() with app.request() -- #105
  * Fixed an issue with session initializaton (tx beardedprojamz) -- #109
  * Allow custom message on 400 Bad Request (tx patryk) -- #121
  * Made djangoerror work on GAE. -- #80
  * Handle malformatted data in the urls. -- #117
  * Made it easier to stop the dev server -- #100, #122
  * Added support fot customizing cookie_path in session (tx larsga) -- #89
  * Added exception for "415 Unsupported Media" (tx JirkaChadima) -- #145
  * Added GroupedDropdown to support `<optgroup>` tag (tx jzellman) -- #152
  * Fixed failure in embedded interpreter - #87
  * Optimized web.cookies (tx benhoyt) - #148
* Tue Mar 20 2012 cfarrell@suse.com
- license update: SUSE-Public-Domain and BSD-3-Clause
  See e.g. Colin Stewart copyright and license in web/httpserver.py (lines
  22 to 25)
* Thu Mar 15 2012 saschpe@suse.de
- Initial version
